<ion-content>
  <h3>Firma de documentos</h3>

  <ion-grid [fixed]="true">
    <ion-row style="justify-items: center; justify-content: center">
      <ion-col size-lg="8" size-md="8" size="12" size-sm="12">
        <form [formGroup]="formularioContratos" (ngSubmit)="continuar()">

          <ion-card>
            <p>
              <img
                src="assets/iconos-svg/info-circle-fill.svg"
                alt="info">
              Marcar los términos y condiciones para aceptar tu solicitud
            </p>


            <!-- ITEMS CONTRATOS -->
            <ion-item
              lines="full"
              *ngIf="path==='credito'"
            >
              <ion-checkbox
                formControlName="credito"
                slot="start"></ion-checkbox>
              <p position="stacked">Contrato crediticio</p>
              <ion-icon src="assets/iconos/icon-documento-v1.svg" slot="end"></ion-icon>
            </ion-item>

            <ion-item
              lines="full">
              <ion-checkbox
                class="checkbox"
                formControlName="cuenta"
                slot="start">
              </ion-checkbox>
              <p position="stacked">Contrato apertura de cuenta</p>
              <ion-button
                class="boton-pdf"
                (click)="mostrarContratoPdf()"
                fill="clear">
                <ion-icon
                  src="assets/iconos/icon-documento-v1.svg">
                </ion-icon>
              </ion-button>
            </ion-item>

            <ion-item
              lines="full"
              *ngIf="path === 'credito'">
              <ion-checkbox
                formControlName="biometrico"
                slot="start">
              </ion-checkbox>
              <p position="stacked">Firma electrónica y validación biometrica</p>
              <ion-icon src="assets/iconos/icon-documento-v1.svg" slot="end"></ion-icon>
            </ion-item>

            <!-- <ion-item
              lines="none"
              *ngIf="path === 'apertura-cuenta' || path === 'credito'">
              <ion-checkbox
                formControlName="seguro"
                slot="start">
              </ion-checkbox>
              <p position="stacked">Seguro de protección familiar</p>
              <p class="mensaje-opcional">(Opcional)</p>
              <ion-icon src="assets/iconos/icon-documento-v1.svg" slot="end"></ion-icon>
            </ion-item> -->

          </ion-card>

          <div class="div-continuar">
            <ion-button
              expand="block"
              [disabled]="formularioContratos.invalid"
              (click)="continuar()">
              Continuar
            </ion-button>
          </div>
        </form>
      </ion-col>
    </ion-row>
  </ion-grid>

</ion-content>
